Package jakarta.annotation.security

## Annotation Type RolesAllowed

-     @Documented
      @Target({TYPE,METHOD})
      @Retention(RUNTIME)
      public @interface RolesAllowed

  Since:
    Common Annotations 1.0

- - ### Required Element Summary

    Required Elements
    Modifier and Type | Required Element | Description
    --- | --- | ---
    `java.lang.String[]` | `value` |

- - ### Element Detail

    - #### value

          java.lang.String[] value

      Returns:
        a String[] of the allowed roles